#include <stdio.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>

#include <Can_lib.h>

main(int argc,char **argv) {
int fd;
int i,got;
canmsg_t rx[80];

fd_set rfds;

if(( fd = open("/dev/can0", O_RDWR )) < 0 ) {
  fprintf(stderr,"Error opening CAN device\n");
  exit(1);
}

printf("waiting for msg at 0x%lx:\n",&rx);

while(1) {
  FD_ZERO(&rfds);
  FD_SET(fd, &rfds);
  if( select(FD_SETSIZE, &rfds, NULL, NULL, NULL  ) > 0 ) {
    printf(" sel > 0\n ");fflush(stdout);
    if( FD_ISSET(fd,&rfds) ) {
      got=read(fd, rx , 79 );
      if( got > 0) {
	for(i=0;i<got;i++) {
	  printf("Received id=%d len=%d msg='%s' \n",rx[i].id,rx[i].length,rx[i].data );
	  fflush(stdout); }
      }
    }
  }
}


close(fd);


}
