#include <stdio.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>

#include <Can_lib.h>

#define STDDEV "can0"

main(int argc,char **argv) {
int fd;
int i,got;
canmsg_t rx;
char device[40];

    if(argc == 2) {
	sprintf(device, "/dev/%s", argv[1]);
    }
    else {
	sprintf(device, "/dev/%s", STDDEV);
    }
    printf("using CAN device /dev/%s\n", device);
    
    if(( fd = open(device, O_RDWR )) < 0 ) {
	fprintf(stderr,"Error opening CAN device %s\n", device);
        exit(1);
    }

printf("waiting for msg at 0x%lx:\n",&rx);

while(1) {
  got=can_Receive(fd, &rx );
  if( got > 0) {
    printf("Received with ret=%d: id=%d len=%d msg='%s' flags=0x%x \n",
    		got, rx.id, rx.length, rx.data ,rx.flags );
    fflush(stdout);
  } else {
    printf("Received with ret=%d: id=%d len=%d msg='%s' flags=0x%x \n",
    		got, rx.id, rx.length, rx.data , rx.flags );
    fflush(stdout);
  }
  sleep(1);
}


close(fd);


}
