header "proto" /{

 /*---------- the can message structure */

# define CAN_MSG_LENGTH 8


# define MSG_RTR (1<<0)
# define MSG_OVR (1<<1)
# define MSG_EXT (1<<2)

 typedef struct {
	int             flags;
	int             cob;
	unsigned   long id;
        unsigned   long timestamp;
	short      int  length;
	unsigned   char data[CAN_MSG_LENGTH]; 

 } canmsg_t;

 /*---------- IOCTL subcommands */

# define CMD_START 1
# define CMD_STOP  2
# define CMD_RESET 3


 /*---------- Configure targets */

# define CONF_ACCM   0
# define CONF_TIMING 1
# define CONF_OMODE  2
# define CONF_FILTER 3
# define CONF_FENABLE 4
# define CONF_FDISABLE 5

# define CONF_XTDACCM  6


}/


