
#include <stdio.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>

#include <Can_lib.h>

#define STDDEV "can1"

main(int argc,char **argv) {
int fd;
int i,sent;
canmsg_t tx;
char device[40];


    if(argc == 2) {
	sprintf(device, "/dev/%s", argv[1]);
    }
    else {
	sprintf(device, "/dev/%s", STDDEV);
    }
    printf("using CAN device /dev/%s\n", device);

if(( fd = open(device, O_RDWR )) < 0 ) {
  fprintf(stderr,"Error opening CAN device %s\n", device);
  exit(1);
}

strcpy(tx.data,"hello");
tx.id=500;

for(i=0;i<1;i++) {
  tx.flags=0;
  tx.cob=1+i;  /* can object slot for i527 */
  sprintf(tx.data,"msg%c",65+i);
  tx.length = strlen(tx.data);
  sent=can_Send(fd, &tx ); /*sleep(1);*/
  if(sent <= 0)
    printf("not ready");
  tx.id++;
}


close(fd);


}
